package com.isu.gaswellwatch.vo.command.knpcv1.mode;

import com.isu.gaswellwatch.dto.modbus.ModbusCommandDto;
import com.isu.gaswellwatch.vo.command.Command;
import com.isu.gaswellwatch.vo.command.knpcv1.ChangeRunMode;

import java.io.Serial;
import java.util.Collection;

/**
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/26 20:24
 */
public class ManualMode extends ChangeRunMode {

    @Serial
    private static final long serialVersionUID = 9127026055666073752L;

    public ManualMode() {
        super(0);
        this.setCode(Command.KNPCV1_RUN_MANUAL);
    }

    @Override
    protected Collection<ModbusCommandDto> builderSubModbusCommand() {
        return null;
    }

}
