package com.isu.gaswellwatch.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.entity.UserOperationRecord;
import com.isu.gaswellwatch.vo.UserOperationRecordVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface UserOperationRecordDao extends BaseMapper<UserOperationRecord> {
    Page<UserOperationRecordVO> page(Page<Object> page,
                                     @Param("type") Integer type,
                                     @Param("username") String username,
                                     @Param("nickname")String nickname,
                                     @Param("result")Integer result,
                                     @Param("startTime")String startTime,
                                     @Param("endTime") String endTime);
    List<UserOperationRecordVO> list(@Param("type") Integer type,
                                     @Param("username") String username,
                                     @Param("nickname")String nickname,
                                     @Param("result")Integer result,
                                     @Param("startTime")String startTime,
                                     @Param("endTime") String endTime);

}
