INSERT INTO `$TableName$` (`id`, `device_id`, `created_time`, `collection_time`, `receive_time`,
                           `solenoid_valve_status`,
                           `controller_current_status`, `current_status_remaining_time`, `current_status_start_time`,
                           `cas_pressure`, `oil_pressure`, `plunger_rise_time`, `arrival_sensor_delay_time`,
                           `well_shut_in_time`, `after_flow_time`, `min_close_well_time`, `min_open_well_time`,
                           `max_open_well_time`, `max_close_well_time`, `cas_pressure_switch`,
                           `cas_pressure_sensor_range`,
                           `open_cas_pressure`, `open_reset_cas_pressure`, `open_cas_pressure_stable_time`,
                           `close_cas_pressure`, `close_trip_cas_pressure`, `close_cas_pressure_stable_time`,
                           `tub_pressure_switch`, `tub_pressure_sensor_range`, `open_tub_pressure`,
                           `open_reset_tub_pressure`, `open_tub_pressure_stable_time`, `pre_pressure`)
VALUES (?, ?, NOW(), ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)
ON DUPLICATE KEY UPDATE receive_time=VALUES(receive_time),
                        solenoid_valve_status=VALUES(solenoid_valve_status),
                        controller_current_status=VALUES(controller_current_status),
                        current_status_remaining_time=VALUES(current_status_remaining_time),
                        current_status_start_time=VALUES(current_status_start_time),
                        cas_pressure=VALUES(cas_pressure),
                        oil_pressure=VALUES(oil_pressure),
                        pre_pressure=VALUES(pre_pressure),
                        plunger_rise_time=VALUES(plunger_rise_time),
                        arrival_sensor_delay_time=VALUES(arrival_sensor_delay_time),
                        well_shut_in_time=VALUES(well_shut_in_time),
                        after_flow_time=VALUES(after_flow_time),
                        min_close_well_time=VALUES(min_close_well_time),
                        min_open_well_time=VALUES(min_open_well_time),
                        max_open_well_time=VALUES(max_open_well_time),
                        max_close_well_time=VALUES(max_close_well_time),
                        cas_pressure_switch=VALUES(cas_pressure_switch),
                        cas_pressure_sensor_range=VALUES(cas_pressure_sensor_range),
                        open_cas_pressure=VALUES(open_cas_pressure),
                        open_reset_cas_pressure=VALUES(open_reset_cas_pressure),
                        open_cas_pressure_stable_time=VALUES(open_cas_pressure_stable_time),
                        close_cas_pressure=VALUES(close_cas_pressure),
                        close_trip_cas_pressure=VALUES(close_trip_cas_pressure),
                        close_cas_pressure_stable_time=VALUES(close_cas_pressure_stable_time),
                        tub_pressure_switch=VALUES(tub_pressure_switch),
                        tub_pressure_sensor_range=VALUES(tub_pressure_sensor_range),
                        open_tub_pressure=VALUES(open_tub_pressure),
                        open_reset_tub_pressure=VALUES(open_reset_tub_pressure),
                        open_tub_pressure_stable_time=VALUES(open_tub_pressure_stable_time)